---
search:
  tags:
    - V1
    - GET
seo:
  description: >-
    Get all versions of a prompt. Reference for the GET
    /v1/projects/{projectId}/prompts/{name}/versions endpoint in the Judgeval
    API.
sidebar:
  label: Get prompt versions
  badge: GET
title: Get prompt versions
type: openapi-operation
---
Get all versions of a prompt

`GET /v1/projects/{projectId}/prompts/{name}/versions`

**Responses**

- `200` — Response for status 200
- `404` — Response for status 404

Response example, 200:

```json
{
  "versions": [
    {
      "name": "string",
      "prompt": "string",
      "tags": [
        "string"
      ],
      "commit_id": "string",
      "parent_commit_id": "string",
      "created_at": "string",
      "first_name": "string",
      "last_name": "string",
      "user_email": "string"
    }
  ]
}
```
